- Qt 6.7
- Qt GRPC
- QML Types
- QQmlGrpcHttp2Channel
- Qt 6.7.2 Reference Documentation

# QQmlGrpcHttp2Channel QML Type

Implements QQmlAbstractGrpcChannel class in QML. More...

Import Statement: | import QtGrpc
Since: | Qt 6.7
Instantiates: | QGrpcHttp2Channel

- List of all members, including inherited members

## Properties

- options : QQmlGrpcChannelOptions

## Methods

- std::shared_ptr<QAbstractGrpcChannel> getChannel()

## Detailed Description

Implements QQmlAbstractGrpcChannel interface for HTTP2 channel type. It allows to set QQmlGrpcChannelOptions options required for a channel creation and returns a pointer to the QAbstractGrpcChannel-based object.

Note: You can inherit from QQmlGrpcChannelOptions for importing custom channel in QML.

See also QQmlAbstractGrpcChannel and QGrpcHttp2Channel.

## Property Documentation

options : QQmlGrpcChannelOptions

Returns a pointer to the QQmlGrpcChannelOptions object.

Note: options is `REQUIRED` property. It must be set for object creation.

See also QQmlGrpcChannelOptions.

## Method Documentation

std::shared_ptr<QAbstractGrpcChannel> getChannel()

This function is virtual. It returns the pointer to the QGrpcHttp2Channel object.

See also QAbstractGrpcChannel and QGrpcHttp2Channel.